export declare const GridContainer: import("styled-components").StyledComponent<"div", any, import("react").HTMLAttributes<HTMLDivElement> & import("@/src/utilities/types").GenericProps & import("./types").GridControls & {
    display?: "grid" | "inline-grid" | undefined;
    breakpointSM?: import("./types").GridControls | undefined;
    breakpointMD?: import("./types").GridControls | undefined;
    breakpointLG?: import("./types").GridControls | undefined;
    breakpointXL?: import("./types").GridControls | undefined;
    breakpointXXL?: import("./types").GridControls | undefined;
}, never>;
export declare const GridItemContainer: import("styled-components").StyledComponent<"div", any, import("react").HTMLAttributes<HTMLDivElement> & import("@/src/utilities/types").GenericProps & import("./types").GridItemControls & {
    breakpointSM?: import("./types").GridItemControls | undefined;
    breakpointMD?: import("./types").GridItemControls | undefined;
    breakpointLG?: import("./types").GridItemControls | undefined;
    breakpointXL?: import("./types").GridItemControls | undefined;
    breakpointXXL?: import("./types").GridItemControls | undefined;
}, never>;
